net.sf.jasperreports.charts.fill

## Class JRFillTimePeriodSeries

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillTimePeriodSeries

- All Implemented Interfaces:
    java.lang.Cloneable, JRTimePeriodSeries, JRCloneable

      public class JRFillTimePeriodSeries
      extends java.lang.Object
      implements JRTimePeriodSeries

  Version:
    $Id: JRFillTimePeriodSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRTimePeriodSeries` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillTimePeriodSeries(JRTimePeriodSeries timePeriodSeries, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected void` | `evaluate(JRCalculator calculator)`
    `protected void` | `evaluateItemHyperlink(JRCalculator calculator)`
    `protected java.util.Date` | `getEndDate()`
    `JRExpression` | `getEndDateExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `protected java.lang.String` | `getLabel()`
    `JRExpression` | `getLabelExpression()`
    `JRPrintHyperlink` | `getPrintItemHyperlink()`
    `protected java.lang.Comparable<?>` | `getSeries()`
    `JRExpression` | `getSeriesExpression()`
    `protected java.util.Date` | `getStartDate()`
    `JRExpression` | `getStartDateExpression()`
    `protected java.lang.Number` | `getValue()`
    `JRExpression` | `getValueExpression()`
    `boolean` | `hasItemHyperlink()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRTimePeriodSeries parent

  - ### Constructor Detail

    - #### JRFillTimePeriodSeries

          public JRFillTimePeriodSeries(JRTimePeriodSeries timePeriodSeries,
                                JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.lang.Comparable` object that identifies each series.

    - #### getStartDateExpression

          public JRExpression getStartDateExpression()

      Specified by:
        `getStartDateExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.util.Date` expression representing the start of the time period

    - #### getEndDateExpression

          public JRExpression getEndDateExpression()

      Specified by:
        `getEndDateExpression` in interface `JRTimePeriodSeries`
      Returns:
        a `java.util.Date` expression representing the end of the time period

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRTimePeriodSeries`
      Returns:
        a numeric expression representing the value associated with the time period.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRTimePeriodSeries`
      Returns:
        the label expression. If present, its values will be used to customize item labels in the resulting chart.

    - #### getSeries

          protected java.lang.Comparable<?> getSeries()

    - #### getStartDate

          protected java.util.Date getStartDate()

    - #### getEndDate

          protected java.util.Date getEndDate()

    - #### getValue

          protected java.lang.Number getValue()

    - #### getLabel

          protected java.lang.String getLabel()

    - #### evaluate

          protected void evaluate(JRCalculator calculator)
                           throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateItemHyperlink

          protected void evaluateItemHyperlink(JRCalculator calculator)
                                        throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRTimePeriodSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRTimePeriodSeries`
      Returns:
        hyperlink specification for chart items

    - #### hasItemHyperlink

          public boolean hasItemHyperlink()

    - #### getPrintItemHyperlink

          public JRPrintHyperlink getPrintItemHyperlink()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com